Search documentation of grizzly

# View Source Grizzly.ZWave.CommandClasses.ThermostatSetback (grizzly v7.4.2)

"ThermostatSetback" Command Class

The Thermostat Setback Command Class is used to change the current state of a non-schedule setback thermostat.

# Summary

## Types

state()
type()

## Functions

decode_state(byte)
decode_type(byte)
encode_state(kelvins)
encode_type(atom)

# Types

Link to this type

# state()

View Source

    @type state() :: number() | :frost_protection | :energy_saving

Link to this type

# type()

View Source

    @type type() :: :no_override | :temporary_override | :permanent_override

# Functions

Link to this function

# decode_state(byte)

View Source

    @spec decode_state(byte()) :: {:ok, state()} | {:error, Grizzly.ZWave.DecodeError.t()}

Link to this function

# decode_type(byte)

View Source

    @spec decode_type(byte()) :: {:ok, type()} | {:error, Grizzly.ZWave.DecodeError.t()}

Link to this function

# encode_state(kelvins)

View Source

    @spec encode_state(state()) :: byte()

Link to this function

# encode_type(atom)

View Source

    @spec encode_type(type()) :: byte()